Package org.python.core.io

## Class FileDescriptors

- java.lang.Object
- - org.python.core.io.FileDescriptors

-     public class FileDescriptors
      extends java.lang.Object

  Jython file descriptor management. File descriptor objects in Jython are instances of RawIOBase.
  Author:
    Philip Jenvey

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileDescriptors()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RawIOBase` | `get​(PyObject fd)` | Return the RawIOBase associated with the specified file descriptor.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDescriptors

          public FileDescriptors()

  - ### Method Detail

    - #### get

          public static RawIOBase get​(PyObject fd)

      Return the RawIOBase associated with the specified file descriptor. Raises a Python exception is the file descriptor is invalid
      Parameters:
        `fd` - a Jython file descriptor object
      Returns:
        the RawIOBase associated with the file descriptor